=== library/CMakeLists.txt ===
ADD_SUBDIRECTORY(tulip-core)
ADD_SUBDIRECTORY(tulip-ogl)
ADD_SUBDIRECTORY(tulip-gui)
ADD_SUBDIRECTORY(tulip-ogdf)
ADD_SUBDIRECTORY(tulip-python)
