=== plugins/CMakeLists.txt ===
IF(CHECK_MEMORY)
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CHECK_MEMORY_FLAGS}")
ENDIF(CHECK_MEMORY)

ADD_SUBDIRECTORY(clustering)
ADD_SUBDIRECTORY(colors)
ADD_SUBDIRECTORY(import)
ADD_SUBDIRECTORY(layout)
ADD_SUBDIRECTORY(metric)
ADD_SUBDIRECTORY(selection)
ADD_SUBDIRECTORY(sizes)
ADD_SUBDIRECTORY(export)
ADD_SUBDIRECTORY(glyph)
ADD_SUBDIRECTORY(interactor)
ADD_SUBDIRECTORY(perspective)
ADD_SUBDIRECTORY(string)
ADD_SUBDIRECTORY(view)
ADD_SUBDIRECTORY(test)
ADD_SUBDIRECTORY(general)
