=== textures/CMakeLists.txt ===
INSTALL(FILES
  arrowSprite.png
  candiSprite.png
  edgeBlomSprite.png
  edgeSpring.png
  titlebarGradient.png
  logo32x32.ico
  logolabri.jpg
DESTINATION ${TulipBitmapInstallDir}
COMPONENT tulip_textures
)
