=== unit_test/CMakeLists.txt ===
add_subdirectory(library)
if(LINUX)
add_subdirectory(plugins)
endif(LINUX)
