=== debian/changelog ===
tulip (4.4.0dfsg2-2) unstable; urgency=medium

  * Activate #undef of minor() and major() in Plugin.h, which prevented
    build on kfreebsd.
  * Add removal of /usr/share/tulip/bitmaps/fonts in preinst, to properly
    handle its change from a dir to a symlink.

 -- Yann Dirson <dirson@debian.org>  Sat, 01 Feb 2014 21:51:05 +0100

tulip (4.4.0dfsg2-1) unstable; urgency=low

  * Repackage orig tarball without any trutype font (Closes: #735121),
    ship /usr/share/tulip/bitmaps/fonts as symlink to
    /usr/share/fonts/truetype use installed fonts instead.
  * Update debian/README.maint to show "git archive" use for dfsg.orig
    tarball generation.
  * Configure with -DBUILD_DOC=OFF to make sure doc files are not
    generated even with sphinx installed, as -doc package is not back yet.

 -- Yann Dirson <dirson@debian.org>  Thu, 16 Jan 2014 20:48:06 +0100

tulip (4.4.0dfsg-2) unstable; urgency=low

  * Add a default value for OS_ARCHITECTURE, since it is now used on all
    archs in the PluginManager (Closes: #734924).

 -- Yann Dirson <dirson@debian.org>  Sat, 11 Jan 2014 20:08:10 +0100

tulip (4.4.0dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #703041).
    * Builds again on current amd64 (Closes: #729738).
    * Includes manuals again (but needs python activated, and shpinx, to build)
    * Known to segfault on amd64 at startup, but uploading anyway since at least
      i386 does not have the bug.
  * Activate python support, build-depend on python-sip-dev; new
    libtulip-python* package.
  * Switch build-dep from libglew1.5-dev to libglew-dev.
  * Change dep from obsolete ttf-dejavu-core to fonts-dejavu-core.

 -- Yann Dirson <dirson@debian.org>  Sun, 05 Jan 2014 16:25:20 +0100

tulip (4.3.0dfsg-1) UNRELEASED; urgency=low

  * New upstream release.
    * Does not include standalone manuals any more, dropped tulip-doc package,
      updated manpage to point to official website for docs.
    * libtulip renamed to libtulip-core, libtulip-qt4 to libtulip-gui.
    * New thirdparty libs: qhull, qxt, quazip, yajl; update copyright file for
      them.
    * thirdparty libs all suffixed -tulip4.3.0
    * Does not include desktop file any more, adding it back with associated
      pixmap.
    * libtulip-dev now ships qtcreator templates.
    * no more contents for tulip-doc or tulip-help, drop packages and build-deps
      on docbook-xsl toolchain.
    * now requires libqtwebkit-dev.
  * Re-add versions to thirdparty libraries we ship, why on earth did upstream
    revert that !?
  * Fixed build system for the case of disabled python support.
  * Add (dummy) missing SOVERSION to thirdparty libs.
  * Updated debian/watch to tolerate underscores in filename.
  * Fixed to suggest cmake instead of automaken (has been wrong since 3.6).
  * Add tulip-dbg package.
  * Refresh main package description using upstream website headline.

 -- Yann Dirson <dirson@debian.org>  Fri, 27 Sep 2013 01:17:16 +0200
